Author chris.jerdonek
Recipients BTaskaya, aeros, asvetlov, carltongibson, chris.jerdonek, eamanu, felixxm, miss-islington, yselivanov
Date 2020-05-22.21:45:18
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1590183919.06.0.80741791636.issue40696@roundup.psfhosted.org>
In-reply-to
Content
Good to hear, Mariusz! And thanks for the report!

Also, as discussed above, I'm leaving this issue open (and retitling) until the following more general issue is fixed:

try:
    raise RuntimeError
except Exception as exc:
    print(f'handling: {exc!r}')
    exc.__context__ = exc
    raise ValueError  # hangs

As I mentioned above, I believe this is because _PyErr_SetObject() only checks for cycles that involve the exception being raised. In this case, the cycle involves the exception one further down:
ValueError -> RuntimeError -> RuntimeError -> RuntimeError -> ...
History
Date User Action Args
2020-05-22 21:45:19chris.jerdoneksetrecipients: + chris.jerdonek, asvetlov, yselivanov, eamanu, miss-islington, BTaskaya, aeros, carltongibson, felixxm
2020-05-22 21:45:19chris.jerdoneksetmessageid: <1590183919.06.0.80741791636.issue40696@roundup.psfhosted.org>
2020-05-22 21:45:19chris.jerdoneklinkissue40696 messages
2020-05-22 21:45:18chris.jerdonekcreate